Bug 215136 - CVE-2006-5864: gv <= 3.6.2 stack-based buffer overflow
CVE-2006-5864: gv <= 3.6.2 stack-based buffer overflow
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gv (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
http://nvd.nist.gov/nvd.cfm?cvename=C...
: Security
Depends On:
Blocks: 215265
  Show dependency treegraph
 
Reported: 2006-11-11 05:46 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.6.2-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-05 14:42:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-11-11 05:46:46 EST
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2006-5864

"Stack-based buffer overflow in the ps_gettext function in ps.c for GNU gv
3.6.2, and possibly earlier versions, allows user-assisted attackers to execute
arbitrary code via a PostScript (PS) file with certain headers that contain long
comments, as demonstrated using the DocumentMedia header."
Comment 2 Michal Jaegermann 2006-12-04 12:09:44 EST
Mandriva Linux Security Advisory, MDKSA-2006:214-1, says the following:

"The patch used in the previous update still left the possibility of
 causing X to consume unusual amounts of memory if gv is used to view a
 carefully crafted image designed to exploit CVE-2006-5864. This update
 uses an improved patch to address this issue."

For patches see, for example, gv-3.6.1-4.3.20060mdk.src.rpm

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-5864
Comment 3 Orion Poplawski 2006-12-05 14:42:28 EST
Thanks for the references.  Fixed in 3.6.2-2.
Comment 4 Ville Skyttä 2006-12-06 12:39:42 EST
For info for people interested in older distros: the patch has been applied in
Extras for FC5+ only, not FC4 at the moment.

Note You need to log in before you can comment on or make changes to this bug.